<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlOsiSemCbs_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlOsiSemCbs_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>OS semaphore callback functions.  
 <a href="structrl_osi_sem_cbs__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/mmwavelink.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a733c561afbc3723344e45ba7d4ace975"><td class="memItemLeft" align="right" valign="top">rlInt32_t(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_osi_sem_cbs__t.html#a733c561afbc3723344e45ba7d4ace975">rlOsiSemCreate</a> )(rlOsiSemHdl_t *semHdl, rlInt8_t *name)</td></tr>
<tr class="memdesc:a733c561afbc3723344e45ba7d4ace975"><td class="mdescLeft">&#160;</td><td class="mdescRight">Create Semaphore Object.  <a href="#a733c561afbc3723344e45ba7d4ace975">More...</a><br /></td></tr>
<tr class="separator:a733c561afbc3723344e45ba7d4ace975"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a932b845dfd383f189d9adbad43a14a50"><td class="memItemLeft" align="right" valign="top">rlInt32_t(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_osi_sem_cbs__t.html#a932b845dfd383f189d9adbad43a14a50">rlOsiSemWait</a> )(rlOsiSemHdl_t *semHdl, rlOsiTime_t timeout)</td></tr>
<tr class="memdesc:a932b845dfd383f189d9adbad43a14a50"><td class="mdescLeft">&#160;</td><td class="mdescRight">Wait for Semaphore.  <a href="#a932b845dfd383f189d9adbad43a14a50">More...</a><br /></td></tr>
<tr class="separator:a932b845dfd383f189d9adbad43a14a50"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d97a6c765154dfe39031494daf6b279"><td class="memItemLeft" align="right" valign="top">rlInt32_t(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_osi_sem_cbs__t.html#a7d97a6c765154dfe39031494daf6b279">rlOsiSemSignal</a> )(rlOsiSemHdl_t *semHdl)</td></tr>
<tr class="memdesc:a7d97a6c765154dfe39031494daf6b279"><td class="mdescLeft">&#160;</td><td class="mdescRight">Release Semaphore.  <a href="#a7d97a6c765154dfe39031494daf6b279">More...</a><br /></td></tr>
<tr class="separator:a7d97a6c765154dfe39031494daf6b279"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad55bde9265a94bd2948e03e5a58a5f8f"><td class="memItemLeft" align="right" valign="top">rlInt32_t(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_osi_sem_cbs__t.html#ad55bde9265a94bd2948e03e5a58a5f8f">rlOsiSemDelete</a> )(rlOsiSemHdl_t *semHdl)</td></tr>
<tr class="memdesc:ad55bde9265a94bd2948e03e5a58a5f8f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destroy Semaphore Object.  <a href="#ad55bde9265a94bd2948e03e5a58a5f8f">More...</a><br /></td></tr>
<tr class="separator:ad55bde9265a94bd2948e03e5a58a5f8f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>OS semaphore callback functions. </p>
</div><h2 class="groupheader">Field Documentation</h2>
<a class="anchor" id="a733c561afbc3723344e45ba7d4ace975"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">rlInt32_t(* rlOsiSemCbs_t::rlOsiSemCreate)(rlOsiSemHdl_t *semHdl, rlInt8_t *name)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Create Semaphore Object. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">name</td><td>- Name to associate with Sem Object </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">semHdl</td><td>- Pointer to Sem object</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>rlInt32_t Success - 0, Failure - Error code</dd></dl>
<p>Create Semaphore Object </p>

</div>
</div>
<a class="anchor" id="ad55bde9265a94bd2948e03e5a58a5f8f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">rlInt32_t(* rlOsiSemCbs_t::rlOsiSemDelete)(rlOsiSemHdl_t *semHdl)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Destroy Semaphore Object. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">semHdl</td><td>- Pointer to Sem object</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>rlInt32_t Success - 0, Failure - Error code</dd></dl>
<p>Destroy Semaphore Object </p>

</div>
</div>
<a class="anchor" id="a7d97a6c765154dfe39031494daf6b279"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">rlInt32_t(* rlOsiSemCbs_t::rlOsiSemSignal)(rlOsiSemHdl_t *semHdl)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Release Semaphore. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">semHdl</td><td>- Pointer to Sem object</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>rlInt32_t Success - 0, Failure - Error code</dd></dl>
<p>Release Semaphore </p>

</div>
</div>
<a class="anchor" id="a932b845dfd383f189d9adbad43a14a50"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">rlInt32_t(* rlOsiSemCbs_t::rlOsiSemWait)(rlOsiSemHdl_t *semHdl, rlOsiTime_t timeout)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Wait for Semaphore. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">semHdl</td><td>- Pointer to Sem object </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">timeout</td><td>- Maximum Time to wait for Semaphore</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>rlInt32_t Success - 0, Failure - Error code</dd></dl>
<p>Wait for Semaphore </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/mmwavelink.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
